For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • GETGet Grouped Notifications

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceNotifications

Get Grouped Notifications

GET
https://api.frame.io/v2/notifications
GET
/v2/notifications
1import requests
2
3url = "https://api.frame.io/v2/notifications"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
200Retrieved
1{
2 "date": "2022-08-02T15:47:33Z",
3 "link_to": [
4 {
5 "type": "asset",
6 "id": "string"
7 }
8 ],
9 "user_count": 5,
10 "notification_ids": [
11 "string"
12 ],
13 "id": "string",
14 "text_elements": {
15 "header": [
16 {
17 "type": "text_element",
18 "format": "strong",
19 "value": "Awesome.mov",
20 "text_element": "text_element"
21 }
22 ],
23 "body": [
24 {
25 "type": "status",
26 "format": "plain_text",
27 "value": "Approved",
28 "status": "status_in_progress"
29 }
30 ],
31 "footer": [
32 {}
33 ]
34 },
35 "thumbs": [
36 {}
37 ],
38 "status": "read",
39 "asset_type": "VideoAsset"
40}
Was this page helpful?
Previous

Create a Presentation Link for an asset

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

datestringRead-onlyformat: "date-time"
link_tolist of objects
user_countinteger
notification_idslist of strings
idstringformat: "uuid"
First notification id
text_elementsobject
thumbslist of objects
statusenum
Notification status
Allowed values:
asset_typeenum
Allowed values: